@import url('https://fonts.googleapis.com/css2?family=Chewy&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
@import url("https://fonts.googleapis.com/css2?family=Nunito:ital,wght@0,300;0,400;0,600;0,700;1,300;1,400&display=swap");

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    border: none;
    outline: none;
    font-family: poppins, sans-serif;
}

html {
    scroll-behavior: smooth;
    scroll-padding-top: 90px;
    overflow-x: hidden;
    font-size: 62.5%;
}

body {
    width: 100vw;
    background: var(--black);
    color: var(--branco);
    background-size: cover;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}


section {
    min-height: 100vh;
    padding: 10rem 9% 2rem;

}

:root {
    --primaria: #f73434;
    --secundaria: #911616;
    --escuro: #0e0d0d;
    --black: #000001;
    --gray: #b9b9b9;
    --branco: #eeeeee;
    --bg1: #000000;    
    --bg2: #eeeeee;
    --bg3: #080808;
    --claro: #e2e8f0;
    --vidro: rgba(255, 255, 255, 0.034);
    --vidro2: rgba(15, 15, 15, 0.85);
    --lb-overlay-opacity: 0.8;
    --lb-overlay-bg: black;
    --lb-border-radius: 1px;
    --lb-image-border-width: 1px;
    --lb-image-border-color: white;
    --lb-container-bg: white;
    --lb-text-color: #ccc;
    --lb-caption-link-color: #4ae;
    --lb-number-color: #999999;
    --lb-nav-transition-speed: 0.6s;
    --lb-close-transition-speed: 0.2s;
}

.flex {
    display: flex;
}

/* ESTILO BARRA NAVEGACAO */

.header {
    position: fixed;
    top: 0;
    right: 0;
    width: 100%;
    z-index: 1000;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 1rem 3%;
    background-color: var(--vidro2);
    backdrop-filter: blur(10px);
    transition: all 0.5s ease;
}

.navbar a {
    font-size: 1.5rem;
    margin-left: 4rem;
    font-weight: 700;
    transition: 0.3s ease;
}

#menu-icon {
    font-size: 3.6rem;
    color: var(--claro);
    cursor: pointer;
    display: none;
}

.menu-link {
    color: var(--claro);
    text-decoration: none;
    font-weight: 500;
    position: relative;
}

.menu-link::after {
    content: '';
    width: 0;
    height: 2px;
    background-color: var(--claro);
    position: absolute;
    bottom: 0;
    left: 0;
    background: linear-gradient(90deg, var(--primaria), var(--secundaria));
    transition: width 0.5s ease;
}

.menu-link:hover::after {
    width: 100%;
}


.logo{
    cursor: pointer;
    transition: 0.5s ease;;
    top:0;
    width: 15vh;

}

.logo:hover{
    transform: scale(1.1);
}


.menu {
    display: flex;
    justify-content: center;
    gap: 1rem;
    justify-content: right;
    list-style: none;
}
span {
    background: -webkit-linear-gradient(var(--primaria), var(--secundaria));
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    font-weight: 700;
}

.bold {
    font-weight: 700;
}

/* ESTILO HOME  - SECTION */
.home {
    display: flex;
    justify-content: center;
    align-items:center;
    width: 100vw;
    gap: 1rem;
    padding: 100px 5%;
    background-color: var(--bg1);

  }

.home-img img {
    width: 25vw;
}

.home h1{
   font-size: 3.6rem;
   font-weight: 700;
   color: #fff;
   line-height: 24px;
   padding-top: 1rem;
   text-align: left;
}

.home h3{
    font-size: 3rem;
    font-weight: 700;
    line-height: 24px;

}

.home h3:nth-last-of-type(2) {
    margin-bottom: 2rem;
}

.home p{
    padding-top: 1rem;
    font-size: 1.3rem;
    font-weight: 300;
    text-align: justify;
    max-width: 640px;
}

.home-content .botao{
    margin-top: 2rem;
    padding: 1rem 2.8rem;
    display: inline-block;
    background: -webkit-linear-gradient(var(--primaria), var(--secundaria));
    border-radius: 4rem;
    box-shadow: none;
    text-decoration: none;
    font-size: 1.6rem;
    color: var(--branco);
    letter-spacing: 1px;
    font-weight: 600;
    transition: 0.3s ease;
}

.home-content .botao:hover{
    transform: scale(1.1);
    box-shadow: 0 0 1rem var(--primaria);

}

/* STYLE ETAPAS - SECTION */

.etapas {
    background:var(--bg1);
    padding: 10rem 4rem;
    width: 100vw;
}

.etapas-container {
    max-width: 1200px;
    margin: 0 auto;
    display: flex;
    justify-content: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 2rem;

}

.etapas-box h2 {
    font-size: 1.6rem;
    font-weight: 200;
    margin-bottom: -1rem;
}

.etapas-box h3 {
    font-size: 2.6rem;
    letter-spacing: -2px;
    font-weight: 800;
    font-style: oblique;
    background: -webkit-linear-gradient(var(--primaria), var(--secundaria));
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.etapas-box p{
    font-size: 1.4rem;
    text-align:left;
    margin: 1rem 0 3rem;
    font-weight: 200;
}

.etapas-container .etapas-box {
    flex: 1 1 30rem;
    background: var(--vidro);
    padding: 6rem 2rem 6rem;
    border-radius: 1rem;
    text-align: center;
    border: 0.18rem solid var(--vidro);
    transition: 0.3s ease;


}

.etapas-container .etapas-box:hover {
    transform: scale(1.05);
    border-color: var(--secundaria);
}


.etapas-box i {
    font-size: 6rem;
    background: -webkit-linear-gradient(var(--primaria), var(--secundaria));
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

/* STYLE SERVICOS - SECTION */

.servicos {
    background:var(--bg3);
    padding: 10rem 4rem;
    width: 100vw;
}

.servicos-container {
    max-width: 1200px;
    margin: 0 auto;
    display: flex;
    justify-content: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 2.5rem;
}


.servicos-box h2 {
    font-size: 1.6rem;
    font-weight: 600;
    margin-bottom: -1rem;}

.servicos-box h3 {
    font-size: 2.6rem;
    letter-spacing: -2px;
    font-weight: 800;
    font-style: oblique;
    background: -webkit-linear-gradient(var(--primaria), var(--secundaria));
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;}

.servicos-box p{
    font-size: 1.4rem;
    text-align:center;
    margin: 1rem 0 3rem;
    font-weight: 200;}

.servicos-container .servicos-box {
    flex: 1 1 30rem;
    background: var(--vidro);
    padding: 6rem 2rem 6rem;
    border-radius: 1rem;
    text-align: center;
    border: 0.18rem solid var(--vidro);}


.servicos-container .servicos-box:hover {
    transform: scale(1.05);
    color: var(--vidro);
    border-color: var(--secundaria);
    transition: 0.3s ease;
    background: var(--bg2);}

    
.servicos-box i {
    font-size: 4rem;
    background: -webkit-linear-gradient(var(--primaria), var(--secundaria));
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;}

.servicos-container .servicos-box:hover i {
    display: none;
}      

.servicos-container .servicos-box:hover p {
    display: none;
    
}
.servicos-box .servicos-box-hide {
    display: none;
    font-size: 1.2rem;
}

.servicos-container .servicos-box:hover .servicos-box-hide {
    display: block;
    color: var(--black);
    font-weight: 500;
}
/*  */

.servicos-box2 h2 {
    font-size: 1.6rem;
    font-weight: 600;
    margin-bottom: -1rem;
    color: var(--escuro);}

.servicos-box2 h3 {
    font-size: 2.6rem;
    letter-spacing: -2px;
    font-weight: 800;
    font-style: oblique;
    background: -webkit-linear-gradient(var(--primaria), var(--secundaria));
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;}

.servicos-box2 p{
    font-size: 1.4rem;
    color: var(--escuro);
    text-align:center;
    margin: 1rem 0 3rem;
    font-weight: 400;}

.servicos-container .servicos-box2 {
    flex: 1 1 30rem;
    background: var(--branco);
    padding: 6rem 2rem 6rem;
    border-radius: 1rem;
    text-align: center;
    border: 0.18rem solid var(--vidro);}

.servicos-container .servicos-box2:hover {
    transform: scale(1.05);
    transition: 0.3s ease;
    color:var(--branco);
    border-color: var(--secundaria);
    background: var(--escuro);
}

.servicos-box2 i {
    font-size: 4rem;
    color: var(--escuro);}

.servicos-container .servicos-box2:hover i {
    display: none;
}      

.servicos-container .servicos-box2:hover p {
    display: none;
    
}
.servicos-box2 .servicos-box-hide2 {
    display: none;
    font-size: 1.2rem;
}

.servicos-container .servicos-box2:hover .servicos-box-hide2 {
    display: block;
    color: var(--branco);
    
    font-weight: 400;
}


/* STYLE PORTIFOLIO - SECTION */

.portfolio {
    background:var(--bg3);
    padding: 10rem 4rem;
    width: 100vw;

}

.portf-container {
    max-width: 1200px;
    margin: 0 auto;
    padding: 20px;
}

.portf-galeria-old {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(144px, 1fr));
    grid-auto-rows: 160px;    /* Tamanho base da linha */
    gap: 5px;
    grid-auto-flow: dense;    /* Otimiza espaços vazios */
}
.portf-galeria {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(144px, 1fr));
    grid-auto-rows: 160px;    /* Tamanho base da linha */
    gap: 5px;
    grid-auto-flow:dense;    /* Otimiza espaços vazios */
}

.item img {
    width: 100%;
    height: 100%;
    object-fit: cover;    /* Ajusta imagem sem distorcer */
    object-position: top; /* Alinha a imagem ao topo do contêiner */
}

.item.c { grid-column: span 3; }
.item.s { grid-row: span 2; }
.item.f { grid-column: span 1; }

.item {transition: .5s ease-in-out;}
.item:hover{filter: brightness(40%);}

/* STYLE LOGOMARCAS - SECTION */


.logos {
    background:var(--bg1);
    padding: 10rem 4rem;
    width: 100vw;

}

.logos-container {
    max-width: 1200px;
    margin: 0 auto;
    padding: 20px;
}
.logos-galeria {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(220px, 1fr));
    grid-auto-rows: 150px;    /* Tamanho base da linha */
    gap: 20px;
    grid-auto-flow: dense;    /* Otimiza espaços vazios */
}

.logos img {
    width: 100%;
    height: 100%;
    object-fit: cover;    /* Ajusta imagem sem distorcer */
}

.logopic.c { grid-column: span 1; }
.logopic.s { grid-row: span 2; }

.logopic {transition: .5s ease-in-out;}
.logopic:hover{transform: scale(1.05);}

/* STYLE VIDEOS - SECTION */

.pvideos {
    background:var(--bg3);
    padding: 10rem 4rem;
    width: 100vw;

}

.videos-container {
    max-width: 1200px;
    margin: 0 auto;
    display: flex;
    justify-content: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 1rem;
}

.feature-img{
    width: 150px;
    height: 260px;
    margin: auto;
    cursor:pointer;
    position: relative;
    border-radius: 10px;
    overflow: hidden;
    transition: 0.3s ease;
}

.feature-img:hover{
    transition: .5s linear;
    filter: brightness(50%);
    transform: scale(1.01);

}

.youtube-link{
    width: 150px;
    height: 260px;
    margin: auto;
    cursor:pointer;
    position: relative;
    border-radius: 10px;
    overflow: hidden;
    transition: 0.3s ease;
}

.youtube-link:hover{
    transition: .5s linear;
    filter: brightness(50%);
    transform: scale(1.01);

}

.youtube-player-overlay{
    position: fixed;
    inset: 0;
    background: rgba(0, 0, 0, 0.6);
    opacity: 0;
    pointer-events: none;
    transition: all 400ms ease;
}

.youtube-player-overlay.active{
    opacity: 1;
    pointer-events: auto;
}

.youtube-player-popup{
    position: fixed;
    width: 300px;
    left: 50%;
    background: rgb(0, 0, 0);
    transform: translate(-50%, 50%);
}

.youtube-player-popup iframe{
    width: 300px;
    aspect-ratio: 9/16;
}

.youtube-player-overlay.active .youtube-player-popup{
    transform: translate(-50%,30%);
    transition: all 400ms ease;
}


.play-btn{
    width: 60px;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%,-50%);
    transition: 0.3s ease;
    cursor: pointer;
}

.play-btn:hover{
    width: 70px;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%,-50%);
    cursor: pointer;
}

.video-player{
    width: 20%;
    position: fixed;
    left: 50%;
    top: 50%;
    transform: translate(-50%,-40%);
    cursor: pointer;
    display: none;
    border: 10px solid var(--branco);
}
video:focus{
    outline: none;
}
.close-btn{
    position: absolute;
    top: 10px;
    right: 10px;
    width: 30px;
    cursor: pointer;
}

/*  */


/* STYLE VANTAGENS - SECTION */

.heading-w {
    text-align: center;
    visibility: hidden;
    font-size: 32px;
    font-style:normal;
    font-weight: 600;
    letter-spacing: -2px;
    color: var(--branco);
    line-height: 0.9;
}

.heading-b {
    text-align: center;
    visibility: hidden;
    font-size: 32px;
    font-style:normal;
    font-weight: 600;
    letter-spacing: -2px;
    color: var(--black);
    line-height: 0.9;
}

.heading2 {
    text-align: center;
    visibility: hidden;
    font-size: 38px;
    font-style: italic;
    letter-spacing: -2px;
    line-height: 1.2;
    background: -webkit-linear-gradient(var(--primaria), var(--secundaria));
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    font-weight: 800;
    margin-bottom: 8rem;
}

/* ESTILO DO TOPO - 3 SECTION */


/* STYLE PRAZOS - SECTION */

.prazos {
    background:var(--bg1);
    padding: 10rem 4rem;
    width: 100vw;
}

.prazos-container {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(330px, 1fr));
    gap: 1rem;
    max-width: 1000px;
    margin: 0 auto;
}

.prazos-box {
    background: var(--vidro);
    padding: 5rem 3rem 4rem;
    border-radius: 1rem;
    text-align: center;
    margin: 1rem;
    flex-grow: 1;
    border: 0.18rem solid var(--vidro);
    transition: 0.3s ease;


}

.prazos-box h2 {
    font-size: 1.6rem;
    font-weight: 200;
    margin-bottom: -1rem;
    letter-spacing: -2px;
}

.prazos-box b {
    font-weight: bold;
    margin-bottom: 10px;
}

.prazos-box h3 {
    font-size: 2.6rem;
    letter-spacing: -1px;
    font-weight: 800;
    font-style: oblique;
    background: -webkit-linear-gradient(var(--primaria), var(--secundaria));
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.prazos-box p{
    font-size: 1.4rem;
    text-align:justify;
    margin: 2rem 0 2rem;
    font-weight: 200;
}


.prazos-container .prazos-box:hover {
    transform: scale(1.05);
    border-color: var(--secundaria);
}


.prazos-box i {
    font-size: 6rem;
    background: -webkit-linear-gradient(var(--primaria), var(--secundaria));
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.contato {
    background: var(--bg3);
    padding: 6rem 8rem;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    align-items: center;
    gap: 2.5rem;
}

.contato-text h2{
    color: var(--branco);
    font-size: 38px;
    font-weight: 600;
    line-height:1;
}

.contato-text h3{
    color: var(--branco);
    font-size: 20px;
    line-height: 1;
    margin-bottom: 10px;
    font-weight: 600;

}

.contato-text p{
    color: var(--branco);
    font-size: 12px;
    margin-bottom: 30px;
    font-weight: 400;
    text-align: justify;

}

.contato-form {
    position: relative;
}


.list {
    margin-bottom: 2.8rem;
}

.list a {
    color: var(--branco);
}

.list li{
    margin-bottom: 12px;
    list-style-type: none;
    display: flex;
    align-items: center;
    color:var(--branco);
    font-size: 12px;
    transition: all 0.45s ease;
}

.list li i {
    font-size: 20px; /* ajusta o tamanho do ícone conforme necessário */
    margin-right: 5px; /* dá um espacinho entre o ícone e o texto */
    vertical-align: middle; /* alinha o ícone verticalmente no centro do texto */
}


.list li:hover{
    color: var(--branco);
    transform: translateX(5px)
}
.formulario-contato {
    max-width: 600px;
    margin: 0 auto;
    border-radius: 6px;
    backdrop-filter: blur(5px);
    padding: 2rem;
}

.grupo-form {
    margin-bottom: 1.5rem;
}

.campo-form {
    width: 100%;
    padding: 1rem;
    background: var(--vidro2);
    border-radius: 6px;
    color: var(--claro);
    border: 1px solid var(--vidro);
    outline: none;
    resize: none;
}

.campo-form:focus {
    border-color: var(--secundaria);
    box-shadow: 0 0 10px var(--primaria);
}

.botao-contato {
    color: var(--claro);
    background: linear-gradient(45deg, var(--primaria), var(--secundaria));
    padding: 1rem 2rem;
    border-radius: 8px;
    border: none;
    width: 100%;
    cursor: pointer;
    transition: all 1.0s ease;
    font-weight: bolder;


}

.botao-contato:hover {
    transform: translateY(-4px);
}

.footer {
    position: relative;
    bottom: 0;
    width: 100vw;
    padding: 40px 0;
    background: var(--escuro);
}

.footer .social {
    text-align: center;
    padding-bottom: 25px;
    color:var(--black);
}

.footer .social a{
    font-size: 25px;
    color: var(--branco);
    width: 50px;   
    height: 50px;
    line-height:22px;
    text-align: center;
    display: inline-block;
    margin: 0 10px;
    transition: 0.3s ease;
}

.footer .social a:hover {
    color: var(--branco);
    transform: scale(1.2) translateY(-10px);
}

.footer .copyright {
    margin-top: 0px;
    text-align: center;
    font-size: 16px;
    color: var(--branco);
}

/* LIGHTBOX STYLES */

body.lb-disable-scrolling {
  overflow: hidden;
}

.lightboxOverlay {
  position: fixed;
  inset: 0;
  z-index: 9999;
  background-color: var(--lb-overlay-bg);
  opacity: var(--lb-overlay-opacity);
  display: none;
}

.lightbox {
  position: fixed;
  left: 0;
  width: 100%;
  z-index: 10000;
  text-align: center;
  line-height: 0;
  font-weight: normal;
  outline: none;
}

.lightbox .lb-image {
  display: block;
  height: auto;
  max-width: inherit;
  max-height: none;
  border-radius: var(--lb-border-radius);

  /* Image border */
  border: var(--lb-image-border-width) solid var(--lb-image-border-color);
}

.lightbox a img {
  border: none;
}

.lb-outerContainer {
  position: relative;
  width: 250px;
  height: 250px;
  margin: 0 auto;
  border-radius: 4px;

  /* Background color behind image.
     This is visible during transitions. */
  background-color: var(--lb-container-bg);
}

.lb-outerContainer:after {
  content: "";
  display: table;
  clear: both;
}

.lb-loader {
  position: absolute;
  top: 43%;
  left: 0;
  height: 25%;
  width: 100%;
  text-align: center;
  line-height: 0;
}

.lb-cancel {
  display: block;
  width: 32px;
  height: 32px;
  margin: 0 auto;
  background: url(../images/loading.gif) no-repeat;
}

.lb-nav {
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  z-index: 10;
}

.lb-container > .nav {
  left: 0;
}

.lb-nav a {
  outline: none;
  background-image: url('data:image/gif;base64,R0lGODlhAQABAPAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw==');
}

.lb-prev, .lb-next {
  height: 100%;
  cursor: pointer;
  display: block;
}

.lb-nav a.lb-prev {
  width: 34%;
  left: 0;
  float: left;
  background: url(../images/prev.png) left 48% no-repeat;
  opacity: 0;
  transition: opacity var(--lb-nav-transition-speed);
}

.lb-nav a.lb-prev:hover {
  opacity: 1;
}

.lb-nav a.lb-next {
  width: 64%;
  right: 0;
  float: right;
  background: url(../images/next.png) right 48% no-repeat;
  opacity: 0;
  transition: opacity var(--lb-nav-transition-speed);
}

.lb-nav a.lb-next:hover {
  opacity: 1;
}

.lb-dataContainer {
  margin: 0 auto;
  padding-top: 5px;
  width: 100%;
  border-bottom-left-radius: 4px;
  border-bottom-right-radius: 4px;
}

.lb-dataContainer:after {
  content: "";
  display: table;
  clear: both;
}

.lb-data {
  padding: 0 4px;
  color: var(--lb-text-color);
}

.lb-data .lb-details {
  width: 85%;
  float: left;
  text-align: left;
  line-height: 1.1em;
}

.lb-data .lb-caption {
  font-size: 13px;
  font-weight: bold;
  line-height: 1em;
}

.lb-data .lb-caption a {
  color: var(--lb-caption-link-color);
}

.lb-data .lb-number {
  display: block;
  clear: left;
  padding-bottom: 1em;
  font-size: 12px;
  color: var(--lb-number-color);
}

.lb-data .lb-close {
  display: block;
  float: right;
  width: 30px;
  height: 30px;
  background: url(../images/close.png) top right no-repeat;
  text-align: right;
  outline: none;
  opacity: 0.7;
  transition: opacity var(--lb-close-transition-speed);
}

.lb-data .lb-close:hover {
  cursor: pointer;
  opacity: 1;
}


/* LIGHTBOX STYLES */



@keyframes floating {

    0%,
    100% {
        transform: translateY(0);
    }

    30% {
        transform: translateY(-10px);
    }
}

@keyframes appear {
    from {
        opacity: 0;
        clip-path: inset(100% 100% 0 0);
    }

    to {
        opacity: 1;
        clip-path: inset(0 0 0 0);
    }
}

@keyframes cursor{
    to{
        border-left: 3px solid var(--secundaria);
    }
}

@keyframes words{
    0%, 40%{
        content: "Designer Gráfico...";
    }
    41%, 79%{
        content: "Editor de Vídeo...";
    }
    80%, 100%{
        content: "Social Media...";
    }
}

/* Responsive Design code */

@media (max-width: 1200px) {
    html {
        font-size: 55%;
    
    }
}

@media (max-width: 991px) {
    .header {
        padding: 2rem 3%;
    }
    section {
        padding: 10rem 3%;
        background-size:cover;
    }
    .services {
            padding: 7rem;
    }


    .logos-container {
    grid-template-columns: repeat(1,1fr);
    object-position: center;
    width: 100%;
    }

    .logos img {
    width: 100%;
    height: 120%;
    margin-top: 20px;
    object-fit: cover;    /* Ajusta imagem sem distorcer */
    }

    .portf-galeria {
        grid-template-columns: repeat(1,1fr);}

    .footer {
        padding: 2rem 3%;
    }
    .contato {
       grid-template-columns: 1fr;
    }

    .heading2{
    font-size: 28px;
    }

    .heading-w{
    font-size: 28px;
    }
    .heading-b{
    font-size: 28px;
    }


}

@media (max-width: 991px) {
    #menu-icon {
        display: block;
        padding-right: 20px;
    }

    .navbar {
        position: absolute;
        top: 100%;
        right: -100%;
        width: 150px;
        min-height: 100vh;
        margin-top: 20px;
        display: flex;
        flex-direction: column;
        background: var(--black);
        transition: all 0.5s ease;
        backdrop-filter: blur(10px);
    }

    .nav a{
        display: block;
        padding: 17px;
        font-size: 22px;
    }

    .navbar.active {
        right: 0;
    }
    .home {
        flex-direction: column;
        padding-top: 150px;
    }

    .txt-top-site {
        order: 2;
        margin-left: 1rem;
    }

    .home .foto-perfil img {
        width: 60vw;
        margin-top: 4rem;
    }

}

@media (max-width: 617px) {
    .home .foto-perfil img {
        width: 80vw;
        margin-top: 8rem;
    }    

    .home-img img {
    width: 50vw;
    }

    .item img {
    object-fit: cover;    /* Ajusta imagem sem distorcer */
    object-position: top; /* Alinha a imagem ao topo do contêiner */
    }
}

@media (max-width: 617px) {
    html {
        font-size: 50%;
    
    }
    }    


